Bug 1106563 - Disable organization deletion
Summary: Disable organization deletion
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: David Davis
QA Contact: sthirugn@redhat.com
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-09 15:19 UTC by David Davis
Modified: 2019-09-26 18:13 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-02 14:04:42 UTC


Attachments (Terms of Use)
Delete option removed from org (29.59 KB, image/png)
2014-06-19 03:41 UTC, sthirugn@redhat.com
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 6123 None None None 2016-04-22 14:56:51 UTC
Red Hat Bugzilla 1100311 None None None Never
Red Hat Bugzilla 1111260 None None None Never

Internal Links: 1100311 1111260

Description David Davis 2014-06-09 15:19:56 UTC
Organization deletion has a number of problems and bugs. For the next release, we are going to disable it.

Comment 1 David Davis 2014-06-09 15:26:04 UTC
Created redmine issue http://projects.theforeman.org/issues/6123 from this bug

Comment 2 RHEL Product and Program Management 2014-06-09 15:34:04 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 4 David Davis 2014-06-09 17:29:03 UTC
https://github.com/Katello/katello/pull/4233

Comment 5 David Davis 2014-06-10 15:16:44 UTC
CLI Changes:

https://github.com/Katello/hammer-cli-katello/pull/188

Comment 6 David Davis 2014-06-10 15:34:53 UTC
I should mention that this is temporary (for 6.0.3). We hope to support (and thus reenable) org deletion in 6.0.4.

Comment 7 Bryan Kearney 2014-06-16 20:05:10 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/6123 has been closed

Comment 8 David Davis 2014-06-17 13:07:25 UTC
KATELLO

22db6d7770819282ef00d08cf74e36e0a13dc861

Refs #6123,BZ1106563 - Disabling org deletion
We're not supporting deleting orgs in the next release so this change will
temporarily disable that functionality until then.



HAMMER-CLI-KATELLO

ed911de68831fcb3894e3e41775c097c01c057d9

Fixes #6123,BZ1106563 - Disable organization deletion

Comment 11 sthirugn@redhat.com 2014-06-19 03:40:47 UTC
1. UI does not have org delete option any more (see screenshot)
2. CLI: The delete option is still there but while attempting, it gives an error message to the user.

# hammer organization delete --help
Usage:
    hammer organization delete [OPTIONS]

Options:
    --id ID                        
    --name NAME                   Name to search by
    -h, --help                    print help

# hammer organization delete --id=3
Could not delete the organization:
  Error: The server does not support such operation.

Comment 12 sthirugn@redhat.com 2014-06-19 03:41:25 UTC
Created attachment 910238 [details]
Delete option removed from org

Comment 13 sthirugn@redhat.com 2014-06-19 03:41:57 UTC
@David Davis: Please see comment 11 - Is this what is expected for now?

Comment 14 sthirugn@redhat.com 2014-06-19 15:17:19 UTC
Comment 11 will be the temporary behavior till GA. (as per the IRC conversation)
https://bugzilla.redhat.com/show_bug.cgi?id=1111260 is the new bug to track bringing back org delete for GA

Version Tested:
* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.19-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.19-1.el6_5.noarch
* candlepin-tomcat6-0.9.19-1.el6_5.noarch
* elasticsearch-0.90.10-4.el6sat.noarch
* foreman-1.6.0.18-1.el6sat.noarch
* foreman-compute-1.6.0.18-1.el6sat.noarch
* foreman-gce-1.6.0.18-1.el6sat.noarch
* foreman-libvirt-1.6.0.18-1.el6sat.noarch
* foreman-ovirt-1.6.0.18-1.el6sat.noarch
* foreman-postgresql-1.6.0.18-1.el6sat.noarch
* foreman-proxy-1.6.0.8-1.el6sat.noarch
* foreman-selinux-1.6.0-4.el6sat.noarch
* foreman-vmware-1.6.0.18-1.el6sat.noarch
* katello-1.5.0-26.el6sat.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.5-1.el6sat.noarch
* katello-installer-0.0.49-1.el6sat.noarch
* openldap-2.4.23-32.el6_4.1.x86_64
* openldap-devel-2.4.23-32.el6_4.1.x86_64
* pulp-katello-0.3-3.el6sat.noarch
* pulp-nodes-common-2.4.0-0.21.beta.el6sat.noarch
* pulp-nodes-parent-2.4.0-0.21.beta.el6sat.noarch
* pulp-puppet-plugins-2.4.0-0.21.beta.el6sat.noarch
* pulp-puppet-tools-2.4.0-0.21.beta.el6sat.noarch
* pulp-rpm-plugins-2.4.0-0.21.beta.el6sat.noarch
* pulp-selinux-2.4.0-0.21.beta.el6sat.noarch
* pulp-server-2.4.0-0.21.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch

Comment 15 Bryan Kearney 2014-07-02 14:04:42 UTC
This was delivered with 6.0.3, which is the Satellite 6 Beta.


Note You need to log in before you can comment on or make changes to this bug.